Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159596 - gcc crashes while compiling MPlayer
Summary: gcc crashes while compiling MPlayer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-05 15:39 UTC by Pepijn Schmitz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 3.4.3-22.fc3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-06 09:06:24 UTC


Attachments (Terms of Use)
The preprocessed source file which caused the crash. (deleted)
2005-06-05 15:41 UTC, Pepijn Schmitz
no flags Details

Description Pepijn Schmitz 2005-06-05 15:39:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I had previously compiled MPlayer 1.0pre7, but it crashes and I was now trying to recompile it with debug enabled. However, gcc crashes when trying to do that (towards the end of the build) with the following message:

cc -c -I../libvo -I../../libvo -I/usr/X11R6/include -fno-PIC -W -Wall -Wno-unused-parameter -O2 -march=pentium4 -mtune=pentium4 -g3  -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -I. -Inative -I.. -I../libmpdemux -I../loader -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include  -D_GNU_SOURCE -o vf_spp.o vf_spp.c
*** glibc detected *** free(): invalid next size (fast): 0x08b2b458 ***
vf_spp.c: In function `store_slice_mmx':
vf_spp.c:338: internal compiler error: Aborted
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
*** glibc detected *** free(): invalid next size (fast): 0x09ebd2f8 ***
*** glibc detected *** free(): invalid next size (fast): 0x092812f8 ***
Preprocessed source stored into /tmp/ccz95H66.out file, please attach this to your bugreport.
make[1]: *** [vf_spp.o] Error 1
make[1]: Leaving directory `/usr/local/src/MPlayer-1.0pre7/libmpcodecs'
make: *** [libmpcodecs/libmpcodecs.a] Error 2


Version-Release number of selected component (if applicable):
gcc-3.4.2-6.fc3

How reproducible:
Always

Steps to Reproduce:
1. download mplayer 1.0pre7 source code
2. configure it with the following command line: ./configure --with-codecsdir=/usr/lib/codecs --enable-gui --enable-debug=3
3. compile it by typing make

Actual Results:  The build failed with the following message:

cc -c -I../libvo -I../../libvo -I/usr/X11R6/include -fno-PIC -W -Wall -Wno-unused-parameter -O2 -march=pentium4 -mtune=pentium4 -g3  -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -I. -Inative -I.. -I../libmpdemux -I../loader -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include  -D_GNU_SOURCE -o vf_spp.o vf_spp.c
*** glibc detected *** free(): invalid next size (fast): 0x08b2b458 ***
vf_spp.c: In function `store_slice_mmx':
vf_spp.c:338: internal compiler error: Aborted
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
*** glibc detected *** free(): invalid next size (fast): 0x09ebd2f8 ***
*** glibc detected *** free(): invalid next size (fast): 0x092812f8 ***
Preprocessed source stored into /tmp/ccz95H66.out file, please attach this to your bugreport.
make[1]: *** [vf_spp.o] Error 1
make[1]: Leaving directory `/usr/local/src/MPlayer-1.0pre7/libmpcodecs'
make: *** [libmpcodecs/libmpcodecs.a] Error 2


Expected Results:  MPlayer should have been succesfully compiled (or at least a regular compilation or linking error message should have been given).

Additional info:

My system is a Pentium IV 2 GHz PC with 768 MB RAM. It runs Fedora Core 3 which is regularly brought up-to-date by running up2date -u. Some other version numbers:

gcc-c++-3.4.2-6.fc3
libgcc-3.4.2-6.fc3
glibc-2.3.4-2.fc3
glibc-common-2.3.4-2.fc3
glibc-devel-2.3.4-2.fc3
glibc-headers-2.3.4-2.fc3
glibc-kernheaders-2.4-9.1.87

I will attach the preprocessed source mentioned in the error message.

I am aware that there are precompiled binaries of mplayer for fedora core 3, but I need jack support, which isn't included in those binaries.

Comment 1 Pepijn Schmitz 2005-06-05 15:41:18 UTC
Created attachment 115153 [details]
The preprocessed source file which caused the crash.

Comment 2 Jakub Jelinek 2005-06-06 09:06:24 UTC
Works just fine with gcc-3.4.3-22.fc3 that has been released more than a month
ago as FC3 update.


Note You need to log in before you can comment on or make changes to this bug.